Subject: Re: Charles: Fwd: Re: NDBM & ODBM on Cygwin?
From: Charles Wilson <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jul 2002 13:51:20 -0400
Newsgroups: gmane.os.cygwin

Gerrit P. Haase wrote:

> Charles,
> 
> Jarkko removed NDBM_File & ODBM_File from Cygwin builds.
> What do you think, should I try to reinclude them?  Is
> it doing s.th. useful I'm not aware of?  I cannot remember
> the reason why it was removed.  I'll try to figure out
> after I know if I should reinclude it.
> Someone else needs ODBM_File or NDBM_File in future?

It's a core feature of perl -- so if possible we should supply it.  Why 
did Jarkko remove it?  Merely because of the one test failure?

I think the problem with ndbm is that he's using a FAT file system; 
gdbm's emulation of NDBM doesn't work on FAT -- but it's fine on NTFS.

--Chuck

> To be exact: NDBM_File & ODBM_File.  I got all tests passing, just one
> test failing with NDBM_File & ODBM_File:
> Failed 2/709 test scripts, 99.72% okay. 6/65198 subtests failed, 99.99% okay.
> Failed Test                 Stat Wstat Total Fail  Failed  List of Failed
> -----------------------------------------------------------------------------------------
> .../lib/Memoize/t/tie_ndbm.t   13  3328     4    4 100.00%  1-4
> op/alarm.t                                 4    2  50.00%  1-2
> 46 tests and 307 subtests skipped.
> 
> where tie_ndbm.t fails with this:
> .../lib/Memoize/t/tie_ndbm..............Permission denied at ../lib/Memoize/t/tie_ndbm.t line 51.
> dubious
>         Test returned status 13 (wstat 3328, 0xd00)
> DIED. FAILED tests 1-4
> 
> 
>>What is wrong with libgdbm as base for NDBM & ODBM, why are they no
>>longer build for Perl on Cygwin?
>>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/